Rysunek Techniczny: Wstaw wymiar poziomy

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw HorizontalDimension and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский

TechDraw HorizontalDimension.svg Rysunek Techniczny: Wstaw wymiar poziomy

Lokalizacja w menu
Rysunek Techniczny → Wymiary → Wstaw wymiar poziomy
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
Shift + H
Wprowadzono w wersji
-
Zobacz także
Wymiar długości, Wstaw wymiar pionowy

Opis

Narzędzie Wymiar poziomy dodaje wymiar poziomy do widoku. Może to być odległość między dwoma wierzchołkami, długość jednej krawędzi lub odległość pozioma między dwoma krawędziami. Początkowo będzie to odległość rzutowana (tzn. taka, jak na rysunku), ale można ją zmienić na rzeczywistą odległość 3D za pomocą narzędzia TechDraw LinkDimension.svg Powiązanie wymiaru.

TechDraw Dimension Horizontal example.png

Wymiar długości odnoszący się do dwóch dowolnych węzłów widoku. Odległość jest mierzona w poziomie.

Użycie

  1. Wybierz wierzchołki lub krawędzie, które definiują Twój pomiar.
  2. Naciśnij przycisk TechDraw HorizontalDimension.svg Wstaw wymiar poziomy.
  3. Do widoku zostanie dodany wymiar. Wymiar można przeciągnąć do żądanej pozycji.
  4. Jeśli to konieczne, dodaj tolerancje, jak opisano na stronie Wymiarowanie geometrii i tolerancja.

Aby zmienić właściwości obiektu wymiaru, kliknij dwukrotnie na niego w rysunku lub w widoku drzewa. Spowoduje to otwarcie okna dialogowego wymiaru.

Ograniczenia

Obiekty wymiarowe są podatne na "problem nazewnictwa topologicznego". Zobacz stronę Wymiar długości, aby uzyskać więcej informacji.

Właściwości

Zobacz stronę Wymiar długości.

Tworzenie skryptów

Zobacz również: TechDraw API i Podstawy tworzenia skryptów FreeCAD.

Narzędzie Wymiar poziomy może być używane w makrodefinicjach i z konsoli Python za pomocą następujących funkcji:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)